let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/rrk3gv85abahb2zdmd43qxsmqnw80k3c-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/r4m4sw59hmf3dn1rcwd0xrpdbn3lhvx3-coreutils-8.31/bin";
  bzip2 = "/nix/store/wy34d1px34lhvh8zknjmqkghz5pk14ab-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/bsg5hfa0ibzqc0cx2v4jd27qjgqnfy7c-gzip-1.10/bin/gzip";
  xz = "/nix/store/a2zcr1fxp9wkxsiymvvpjpmchjcabzkb-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/8mnr8a92iaww1ys8ck7kh9q3ashcj12a-gnutar-1.32/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/r4m4sw59hmf3dn1rcwd0xrpdbn3lhvx3-coreutils-8.31/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/c6ikndcrzwpfn2sb5b9xb1f17p9b8iga-nix-2.3.11/bin";
  nixPrefix = "/nix/store/c6ikndcrzwpfn2sb5b9xb1f17p9b8iga-nix-2.3.11";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/c6ikndcrzwpfn2sb5b9xb1f17p9b8iga-nix-2.3.11/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
